dofile("Scripts/levelManager.lua");

LManager = LevelManager.create();

--
--
--
--
----

LManager:AddGame(eGAME_METER);
LManager:AddGame(eGAME_SPIN);
LManager:AddGame(eGAME_RECALL);
LManager:AddGame(eGAME_SHELL);
LManager:AddGame(eGAME_COMBO);
LManager:AddGame(eGAME_TAG);

-- skewed block formation
LManager:AddTable(eTYPE_TABLE1, 160, 260);
LManager:AddTable(eTYPE_TABLE2, 360, 260);
LManager:AddTable(eTYPE_TABLE3, 560, 260);
LManager:AddTable(eTYPE_TABLE4, 135, 375);
LManager:AddTable(eTYPE_TABLE5, 335, 375);
LManager:AddTable(eTYPE_TABLE6, 535, 375);
LManager:AddTable(eTYPE_TABLE7, 110, 490);
LManager:AddTable(eTYPE_TABLE8, 310, 490);
--LManager:AddTable(eTYPE_TABLE9, 510, 490);

LManager:AddCandle(165, 74, 15000);
LManager:AddCandle(285, 74, 15000);
LManager:AddCandle(576, 74, 15000);

seated = LManager.GenSeated(eTYPE_SEATED3);
seated.tableIdx = 1;
LManager:AddSeated(seated);

seated = LManager.GenSeated(eTYPE_SEATED4);
seated.tableIdx = 2;
LManager:AddSeated(seated);

seated = LManager.GenSeated(eTYPE_SEATED6);
seated.tableIdx = 3;
LManager:AddSeated(seated);

seated = LManager.GenSeated(eTYPE_SEATED7);
seated.tableIdx = 4;
LManager:AddSeated(seated);

seated = LManager.GenSeated(eTYPE_SEATED1);
seated.tableIdx = 5;
LManager:AddSeated(seated);

seated = LManager.GenSeated(eTYPE_SEATED2);
seated.tableIdx = 6;
LManager:AddSeated(seated);

seated = LManager.GenSeated(eTYPE_SEATED9);
seated.tableIdx = 7;
LManager:AddSeated(seated);

seated = LManager.GenSeated(eTYPE_SEATED10);
seated.tableIdx = 8;
LManager:AddSeated(seated);

-- table 1
guest = LManager.GenGuest(eTYPE_GUEST4);
guest.needs[1] = eWANT_TALK;
guest.times[1] = 50000;
guest.needs[2] = eWANT_DRINK;
guest.times[2] = 69000;
guest.needs[3] = eWANT_TALK;
guest.times[3] = 123000;
guest.needs[4] = eWANT_TALK;
guest.times[4] = 184000;
guest.needs[5] = eWANT_TALK;
guest.times[5] = 225000;
LManager:AddGuest(guest);

-- table 2
guest = LManager.GenGuest(eTYPE_GUEST5);
guest.needs[1] = eWANT_TALK;
guest.times[1] = 3000;
guest.needs[2] = eWANT_TALK;
guest.times[2] = 63000;
guest.needs[3] = eWANT_TALK;
guest.times[3] = 103000;
guest.needs[4] = eWANT_TALK;
guest.times[4] = 226000;
LManager:AddGuest(guest);

-- table 3
guest = LManager.GenGuest(eTYPE_GUEST7);
guest.needs[1] = eWANT_TALK;
guest.times[1] = 9000;
guest.needs[2] = eWANT_TALK;
guest.times[2] = 104000;
guest.needs[3] = eWANT_DRINK;
guest.times[3] = 129000;
guest.needs[4] = eWANT_TALK;
guest.times[4] = 186000;
guest.needs[5] = eWANT_TALK;
guest.times[5] = 219000;
LManager:AddGuest(guest);

-- table 4
guest = LManager.GenGuest(eTYPE_GUEST8);
guest.needs[1] = eWANT_TALK;
guest.times[1] = 15000;
guest.needs[2] = eWANT_TALK;
guest.times[2] = 75000;
guest.needs[3] = eWANT_GIFT;
guest.times[3] = 135000;
guest.needs[4] = eWANT_TALK;
guest.times[4] = 171000;
guest.needs[5] = eWANT_TALK;
guest.times[5] = 195000;
LManager:AddGuest(guest);

-- table 5
guest = LManager.GenGuest(eTYPE_GUEST13);
guest.needs[1] = eWANT_TALK;
guest.times[1] = 21000;
guest.needs[2] = eWANT_TALK;
guest.times[2] = 45000;
guest.needs[3] = eWANT_DRINK;
guest.times[3] = 108000;
guest.needs[4] = eWANT_TALK;
guest.times[4] = 141000;
guest.needs[5] = eWANT_TALK;
guest.times[5] = 219000;
LManager:AddGuest(guest);

-- table 6
guest = LManager.GenGuest(eTYPE_GUEST1);
guest.needs[1] = eWANT_TALK;
guest.times[1] = 33000;
guest.needs[2] = eWANT_TALK;
guest.times[2] = 81000;
guest.needs[3] = eWANT_TALK;
guest.times[3] = 98000;
guest.needs[4] = eWANT_GIFT;
guest.times[4] = 165000;
LManager:AddGuest(guest);

-- table 7
guest = LManager.GenGuest(eTYPE_GUEST6);
guest.needs[1] = eWANT_TALK;
guest.times[1] = 34000;
guest.needs[2] = eWANT_GIFT;
guest.times[2] = 153000;
guest.needs[3] = eWANT_DRINK;
guest.times[3] = 183000;
guest.needs[4] = eWANT_TALK;
guest.times[4] = 202000;
LManager:AddGuest(guest);

-- table 8
guest = LManager.GenGuest(eTYPE_GUEST9);
guest.needs[1] = eWANT_DRINK;
guest.times[1] = 40000;
guest.needs[2] = eWANT_TALK;
guest.times[2] = 93000;
guest.needs[3] = eWANT_TALK;
guest.times[3] = 159000;
guest.needs[4] = eWANT_TALK;
guest.times[4] = 213000;
LManager:AddGuest(guest);

LManager:AdjustGuestHappiness(150);
LManager:SetSnackTime(20000);

LManager:SetLevelNumber(4,7);
LManager:SetLevelScores(9600, 9800);
LManager:SetLevelTime(30000);

gameObject = LManager:GenerateGameObject();

levelSetting = LManager:GenerateLevelSettings();